=== debian/changelog ===
eyed3 (0.8.8-1) unstable; urgency=low

  * Update Standards-Version to 4.3.0, no changes needed
  * Use debhelper compatibility version 10, no changes needed
  * Use github as watch url, in order to avoid unsecure protocol

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Sun, 23 Dec 2018 19:22:19 +0100

eyed3 (0.8.7-1) unstable; urgency=medium

  * New upstream version
  * Remove unsupported field X-Python-Version from debian/control
  * Update Standards-Version to 4.2.1, no changes needed
  * Include `Suggests` dependencies for art-plugin

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Sun, 16 Sep 2018 13:12:49 +0200
