=== debian/control ===
Source: eyed3
Section: sound
Priority: optional
Maintainer: Gaetano Guerriero <x.guerriero@tin.it>
Build-Depends: debhelper (>= 10), dh-python,
               python-all, python-setuptools,
               python3, python3-setuptools
Homepage: http://eyed3.nicfit.net/
Standards-Version: 4.3.0
Vcs-Browser: https://github.com/gaetano-guerriero/eyeD3-debian
Vcs-Git: https://github.com/gaetano-guerriero/eyeD3-debian.git

Package: python-eyed3
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-pathlib
Suggests: ${python:Suggests}
Provides: ${python:Provides}
Description: Python module for id3-tags manipulation (Python 2 version)
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.
 .
 This is the Python 2 version of the package.


Package: python3-eyed3
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: ${python3:Suggests}
Provides: ${python:Provides}
Description: Python module for id3-tags manipulation (Python 3 version)
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.
 .
 This is the Python 3 version of the package.


Package: eyed3
Architecture: all
Depends: python3-eyed3 (= ${source:Version}), ${python3:Depends},
         ${misc:Depends}, python3-pkg-resources
Description: Display and manipulate id3-tags on the command-line
 A command-line editor to add/edit/remove ID3-tags on mp3 files.
 It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.
 Additionally it displays several information about the file
 such as length and bitrate from an MP3 file.
