=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/eyed3gp-$1\.tar\.gz/ \
  https://github.com/nicfit/eyeD3/tags .*/v?(\d\S+)\.tar\.gz
