## eyed3 0.8.10

=== Makefile ===
--- 
+++ 
@@ -163,7 +163,9 @@
 
 requirements:
 	nicfit requirements
-	pip-compile -U requirements.txt -o ./requirements.txt
+	# XXX: pip-compile disable to support pathlib evironmemt marker, as pip-tools
+	# XXX: loses it. Could come back in future
+	@#pip-compile -U requirements.txt -o ./requirements.txt
 
 changelog:
 	last=`git tag -l --sort=version:refname | grep '^v[0-9]' | tail -n1`;\
