=== requirements.txt ===
grako==3.99.9
pathlib; python_version < "3.4"
pillow==5.4.1
pylast ~= 2.0
python-magic==0.4.15
requests==2.21.0
six==1.12.0
