=== debian/changelog ===
eyed3 (0.8.10-4) unstable; urgency=medium

  * Source only upload, to recover from previous binary upload.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Wed, 02 Jun 2021 07:13:19 +0200

eyed3 (0.8.10-3) unstable; urgency=medium

  * Fix autopkgtest generating sometimes output on stderr (Closes: #989356)

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Tue, 01 Jun 2021 18:04:57 +0200

eyed3 (0.8.10-2) unstable; urgency=medium

  * Add patch to support pylast 3, backported from upstream
    (Closes: #945371)
  * Fix patch remove-display-plugin to really disable the plugin
    (Closes: #988738)
  * Add more autopkgtests and flag the original ones
    with Restrictions: superficial (Closes: #974444)

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Mon, 31 May 2021 15:02:53 +0200

eyed3 (0.8.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936498

 -- Sandro Tosi <morph@debian.org>  Wed, 18 Mar 2020 16:02:56 -0400

eyed3 (0.8.10-1) unstable; urgency=medium

  * New upstream version
    (Closes: #481002)
  * Update Standards-Version to 4.4.0, no changes needed

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Thu, 22 Aug 2019 21:23:37 +0200
