=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?([\d\.]+)\.tar\.gz/eyed3-$1\.tar\.gz/ \
  https://github.com/nicfit/eyeD3/tags .*/v?([\d\.]+)\.tar\.gz
