=== requirements/requirements.txt ===
certifi==2022.9.24 ; python_version >= "3.7" and python_version < "4"
charset-normalizer==2.1.1 ; python_version >= "3.7" and python_version < "4"
deprecation==2.1.0 ; python_version >= "3.7" and python_version < "4.0"
filetype==1.1.0 ; python_version >= "3.7" and python_version < "4.0"
idna==3.4 ; python_version >= "3.7" and python_version < "4"
packaging==21.3 ; python_version >= "3.7" and python_version < "4.0"
pyparsing==3.0.9 ; python_version >= "3.7" and python_version < "4.0"
requests==2.28.1 ; python_version >= "3.7" and python_version < "4"
urllib3==1.26.12 ; python_version >= "3.7" and python_version < "4"
