=== debian/changelog ===
eyed3 (0.9.7-2) unstable; urgency=medium

  * Update Standards-Version to 4.7.0, no changes needed
  * Remove unneeded dependency on python3-pkg-resources
    (Closes: #1083381)

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Fri, 11 Oct 2024 23:19:01 +0200

eyed3 (0.9.7-1) unstable; urgency=low

  * New upstream version
    (Closes: #1009695)
  * Drop patch support-debian-python-magic
    python `magic` module in debian is now the same as pypi python-magic used
    upstream
  * Drop patch support-pylast-3
    python pylast 4 is now supported upstream
  * Drop patch remove-display-plugin
    Plugin has been removed upstream
  * Update Standards-Version to 4.6.1, no changes needed

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Wed, 15 Feb 2023 08:21:43 +0100
