=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 10), dh-python,
                python3, python3-setuptools
 Homepage: http://eyed3.nicfit.net/
-Standards-Version: 4.4.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://github.com/gaetano-guerriero/eyeD3-debian
 Vcs-Git: https://github.com/gaetano-guerriero/eyeD3-debian.git
 
@@ -14,7 +14,6 @@
 Section: python
 Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: ${python3:Suggests}
-Provides: ${python3:Provides}
 Description: Python module for id3-tags manipulation (Python 3 version)
  A Python module for the manipulation of ID3 tags. It supports versions
  1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
@@ -26,7 +25,7 @@
 Package: eyed3
 Architecture: all
 Depends: python3-eyed3 (= ${source:Version}), ${python3:Depends},
-         ${misc:Depends}, python3-pkg-resources
+         ${misc:Depends}
 Description: Display and manipulate id3-tags on the command-line
  A command-line editor to add/edit/remove ID3-tags on mp3 files.
  It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.
